Subject: Re: [v6ops] draft-ietf-v6ops-design-choices-09 quick review :)

From: Tim Chown <[email-masked]>
Date: Sun, 1 Nov 2015 22:01:25 +0000

Hi,

I also put my hand up alongside Jan to take a look at the -09 version when it came out.

Overall, I think the document is pretty close to being ready. It contains a lot of useful information and guidance. Indeed, while Informational, some parts are clearly documenting BCP. It’s certainly worth publishing.

Some comments:

The title of the document might now better be “Routing-Related Design Choices for IPv6 Networks”?

The introduction defines the scope of the document well, and gives useful pointers to topics not covered in the text.

There is an exception to this though - the introduction says ULAs (and address plans) are covered elsewhere (ULAs specifically in Sheng’s draft) but then dives into ULAs anyway. There’s some mixing here of "IPv4 thinking", e.g. “for an enterprise, the use of private address space is an option and may be seen as favourable operationally”, which may be the case in existing IPv4 networks, but for IPv6, if PI/PA is not recommended, or ULAs alongside PI/PA, there should be very clear guidance why not, and perhaps that is better handled in Sheng’s draft. We also danced around this topic in RFC 7381, but ended up punting to Sheng’s document. Perhaps the same should be done here?

I also found the PI/PA/Private table confusing. Perhaps it should come after the text explaining it? Even then, it might be formulated better.

The discussion of IGPs, and the hint of the result of an informal poll on IGPs, was interesting and useful.

The summary of the general themes at the end might be better placed in the introduction, to put them in the reader’s mind for the subsequent text?

Tim

> On 31 Oct 2015, at 00:32, Jan Zorz <[email-masked]> wrote:
> 
> Dear WG, authors...
> 
> As promised I did a quick review of draft-ietf-v6ops-design-choices-09. I apologize for late review submission, but the -09 version came out just days ago ;)
> 
> I'm not entirely happy with the ULA discussion on pages 5 and 6, but at the end you (let's say so) adequately underline the fact that folx need to strongly reconsider using ULAs in their networks. Not strong language and message enough for my personal taste, but let it be.
> 
> Section 2.2.1:
> 
> Option b) is feasible choice for servers in data centers because of numerous reasons - security (each server on separate /64), measurements and others. Maybe you should mention this in the text. Endpoint host has no need for that.
> 
> Section 2.2.2:
> 
> Hopefully you are talking just about L3 interfaces on routers. There is no clear and visible clarification of that as just "Interface" notion is used ;)
> 
> End hosts also have interface and should not even think about that ;)
> 
> Page 11:
> 
> You can carry IPv4 also in OSPFv3 this days, so additional option would be OSPFv3/OSPFv3
> 
> See you all at v6ops WG meeting in few days ;)
> 
> Cheers, Jan
> 
> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops